Retrieve a user bank income insights report
curl --request GET \
--url https://prod.truv.com/v1/users/{user_id}/income_insights/reports/{report_id}/ \
--header 'X-Access-Client-Id: <api-key>' \
--header 'X-Access-Secret: <api-key>'import requests
url = "https://prod.truv.com/v1/users/{user_id}/income_insights/reports/{report_id}/"
headers = {
"X-Access-Client-Id": "<api-key>",
"X-Access-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Access-Client-Id': '<api-key>', 'X-Access-Secret': '<api-key>'}
};
fetch('https://prod.truv.com/v1/users/{user_id}/income_insights/reports/{report_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"report_id": "7d4fcb86b81a4880955beea558092391",
"created_at": "2022-05-04T11:30:00Z",
"completed_at": "2022-05-04T12:00:00Z",
"days_requested": 60,
"links": [
{
"link_id": "150491a20bdb4292bb2a2ad8554fecba",
"accounts": [
{
"id": "61a8c91314724edb9a8fea7f90d1d59a",
"owners": [
{
"id": "2b623fa2fa9e49cea17d9692caa884c5",
"full_name": "John Doe",
"email": "john.doe@example.com",
"phone": "14155554193",
"address": {
"street": "1 Morgan Ave",
"city": "Los Angeles",
"state": "CA",
"zip": "90210",
"country": "US"
},
"relation_type": "PRIMARY"
}
],
"mask": "****1234",
"nickname": "My account",
"type": "CHECKING",
"subtype": "MONEY_MARKET",
"days_available": 365
}
],
"created_at": "2022-05-04T11:30:00Z",
"updated_at": "2022-05-04T12:00:00Z",
"provider": "chase",
"provider_name": "Chase Bank",
"tracking_info": "<string>",
"bank_income_sources": [
{
"start_date": "2022-05-04",
"end_date": "2022-05-04",
"account_id": "24d7e80942ce4ad58a93f70ce4115f5c",
"total_amount": "200.31",
"transaction_count": 1,
"historical_summary": [
{
"start_date": "2022-05-04",
"end_date": "2022-05-04",
"total_amount": "200.31",
"iso_currency_code": "USD",
"transactions": [
{
"amount": "200.31",
"iso_currency_code": "USD",
"date": "2022-05-04",
"check_number": "<string>",
"description": "<string>",
"pending": true,
"transaction_id": "7d4fcb86b81a4880955beea558092391"
}
]
}
],
"avg_deposit_amount": "5000.00",
"income_description": "Paycheck",
"income_category": "PAYCHECK",
"pay_frequency": "SM",
"next_payment_date": "2022-06-01",
"iso_currency_code": "USD",
"historical_average_monthly_income": "10000.00",
"historical_average_monthly_gross_income": "12000.00",
"forecasted_average_monthly_income": "10000.00",
"avg_gross_deposit_amount": "6000.00",
"employer": {
"id": "meta",
"name": "Meta",
"logo_url": "<string>"
}
}
]
}
],
"bank_income_summary": {
"start_date": "2022-05-04",
"end_date": "2022-05-04",
"income_sources_count": 1,
"income_categories_count": 1,
"income_transactions_count": 1,
"total_amounts": [
{
"amount": "200.31",
"iso_currency_code": "USD"
}
],
"historical_average_monthly_gross_income": [
{
"amount": "200.31",
"iso_currency_code": "USD"
}
],
"historical_average_monthly_income": [
{
"amount": "200.31",
"iso_currency_code": "USD"
}
],
"forecasted_average_monthly_income": [
{
"amount": "200.31",
"iso_currency_code": "USD"
}
],
"historical_annual_gross_income": [
{
"amount": "200.31",
"iso_currency_code": "USD"
}
],
"historical_annual_income": [
{
"amount": "200.31",
"iso_currency_code": "USD"
}
],
"forecasted_annual_income": [
{
"amount": "200.31",
"iso_currency_code": "USD"
}
]
}
}{
"error": {
"code": "authentication_failed",
"message": "No such token"
}
}{
"error": {
"code": "not_authenticated",
"message": "Authentication credentials were not provided."
}
}User Income Insights Report
Retrieve a user bank income insights report
The endpoint retrieves a bank income insights report for the user.
GET
/
v1
/
users
/
{user_id}
/
income_insights
/
reports
/
{report_id}
/
Retrieve a user bank income insights report
Authorizations
Client ID
Client Access Key
Query Parameters
Response format
Available options:
json, pdf Response
Unique identifier of the report.
Maximum string length:
32Example:
"7d4fcb86b81a4880955beea558092391"
Timestamp when the report was created.
Example:
"2022-05-04T11:30:00Z"
Timestamp when the report was completed.
Example:
"2022-05-04T12:00:00Z"
Number of days for which transactions are requested.
Example:
60
List of assets links
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I